Bug 710598 - ipa sudocmdgroup-add accepts blank spaces as sudocmdgroup name.
Summary: ipa sudocmdgroup-add accepts blank spaces as sudocmdgroup name.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-03 20:00 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Leading and trailing spaces are allowed in some values. Consequence: The space(s) become part of the name and it isn't always easy to identify that they are there. Fix: Add a validator to not allow leading and trailing spaces. Result: The error 'Leading and trailing spaces are not allowed' will be returned.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:33:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-03 20:00:25 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 23.el6                        Build Date: Wed 20 Apr 2011
09:57:13 AM EDT
Install Date: Wed 18 May 2011 09:14:40 AM EDT      Build Host:
x86-003.build.bos.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-23.el6.src.rpm
Size        : 2565882                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server


How reproducible:
Always

Steps to Reproduce:
1. # ipa sudocmdgroup-add
2. Enter blank space for "Sudo Command Group".
  
Actual results:
Sudo Command Group: <space>
Description: <space>
----------------------------
Added sudo command group " "
----------------------------
Sudo Command Group: , \
Description:


Expected results:
It would be nice to add in a check for blank spaces and/or minimum words or
non-space characters required for each option to count it as valid.

Additional info:

Comment 2 Martin Kosek 2011-06-06 07:18:20 UTC
https://fedorahosted.org/freeipa/ticket/1286

Comment 3 Rob Crittenden 2011-08-01 20:28:53 UTC
master: 3a5e26a01c9cbb7b0a1c38d1b0467b780c3df124

Comment 5 Jenny Severance 2011-10-05 20:04:25 UTC
verified:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Bug 710598: ipa sudocmdgroup-add accepts blank spaces as sudocmdgroup name.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudocmdgroup-add " " --desc=blankcmdgroup > /tmp/tmp.2wPVb2wcQB/bug710598.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.2wPVb2wcQB/bug710598.txt' should not contain 'Added sudo command group " "'
:: [   PASS   ] :: Running 'cat /tmp/tmp.2wPVb2wcQB/bug710598.txt'
:: [   PASS   ] :: Running 'ipa sudocmdgroup-del " "'
:: [   LOG    ] :: Duration: 3s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: Bug 710598: ipa sudocmdgroup-add accepts blank spaces as sudocmdgroup name.


version:
ipa-server-2.1.1-4.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 19:37:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Leading and trailing spaces are allowed in some values.
Consequence: The space(s) become part of the name and it isn't always easy to identify that they are there.
Fix: Add a validator to not allow leading and trailing spaces.
Result: The error 'Leading and trailing spaces are not allowed' will be returned.

Comment 7 errata-xmlrpc 2011-12-06 18:33:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.